<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>IRISDemography</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.iciObjects.iris, class: IRISDemography">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/IRISDemography.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.iciObjects.iris</a></div>
<h1 title="Class IRISDemography" class="title">Class IRISDemography</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance"><a href="IRIS.html" title="class in fr.ici.dataImporter.iciObjects.iris">fr.ici.dataImporter.iciObjects.iris.IRIS</a>
<div class="inheritance">fr.ici.dataImporter.iciObjects.iris.IRISDemography</div>
</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">IRISDemography</span>
extends <a href="IRIS.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRIS</a></pre>
<div class="block">IRIS implementation for statistical demographic information. Data that should be used are stored <a href="https://www.insee.fr/fr/statistiques/4799309">here</a></div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.iris.IRIS">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.iris.<a href="IRIS.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRIS</a></h3>
<code><a href="IRIS.html#ADJUST_VALUES">ADJUST_VALUES</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(org.opengis.feature.simple.SimpleFeature,org.opengis.feature.simple.SimpleFeature,java.util.List)">IRISDemography</a></span>&#8203;(org.opengis.feature.simple.SimpleFeature&nbsp;sfIrisPop,
org.opengis.feature.simple.SimpleFeature&nbsp;sfIrisHH,
java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;individualsWithoutHousehold)</code></th>
<td class="col-last">
<div class="block">Constructor for Household generation purposes</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustP0_2(float)">adjustP0_2</a></span>&#8203;(float&nbsp;adjustment)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustP11_17(float)">adjustP11_17</a></span>&#8203;(float&nbsp;adjustment)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustP1524_SEUL(float)">adjustP1524_SEUL</a></span>&#8203;(float&nbsp;adjustment)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustP18_24(float)">adjustP18_24</a></span>&#8203;(float&nbsp;adjustment)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustP25_39(float)">adjustP25_39</a></span>&#8203;(float&nbsp;adjustment)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustP2554_SEUL(float)">adjustP2554_SEUL</a></span>&#8203;(float&nbsp;adjustment)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustP3_5(float)">adjustP3_5</a></span>&#8203;(float&nbsp;adjustment)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustP40_54(float)">adjustP40_54</a></span>&#8203;(float&nbsp;adjustment)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustP55_64(float)">adjustP55_64</a></span>&#8203;(float&nbsp;adjustment)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustP5579_SEUL(float)">adjustP5579_SEUL</a></span>&#8203;(float&nbsp;adjustment)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustP6_10(float)">adjustP6_10</a></span>&#8203;(float&nbsp;adjustment)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustP65_79(float)">adjustP65_79</a></span>&#8203;(float&nbsp;adjustment)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustP80(float)">adjustP80</a></span>&#8203;(float&nbsp;adjustment)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustP80P_SEUL(float)">adjustP80P_SEUL</a></span>&#8203;(float&nbsp;adjustment)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i14">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustPF(float)">adjustPF</a></span>&#8203;(float&nbsp;adjustment)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i15">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#adjustPM(float)">adjustPM</a></span>&#8203;(float&nbsp;adjustment)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i16">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getAllPop()">getAllPop</a></span>()</code></th>
<td class="col-last">
<div class="block">Get the sum of the population of the IRIS</div>
</td>
</tr>
<tr class="row-color" id="i17">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getP0_2()">getP0_2</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i18">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getP11_17()">getP11_17</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i19">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getP1524_SEUL()">getP1524_SEUL</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i20">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getP18_24()">getP18_24</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i21">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getP25_39()">getP25_39</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i22">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getP2554_SEUL()">getP2554_SEUL</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i23">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getP3_5()">getP3_5</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i24">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getP40_54()">getP40_54</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i25">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getP55_64()">getP55_64</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i26">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getP5579_SEUL()">getP5579_SEUL</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i27">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getP6_10()">getP6_10</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i28">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getP65_79()">getP65_79</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i29">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getP80()">getP80</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i30">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getP80P_SEUL()">getP80P_SEUL</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i31">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getpF()">getpF</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i32">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getpM()">getpM</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i33">
<td class="col-first"><code>float</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSoloPop()">getSoloPop</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i34">
<td class="col-first"><code>float[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#makeIndivAgeProbability()">makeIndivAgeProbability</a></span>()</code></th>
<td class="col-last">
<div class="block">Calculate the probability of the age class attribution.</div>
</td>
</tr>
<tr class="row-color" id="i35">
<td class="col-first"><code>float[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#makeIndivSexProbability()">makeIndivSexProbability</a></span>()</code></th>
<td class="col-last">
<div class="block">Return the probability of the individual of being either a male or a female.</div>
</td>
</tr>
<tr class="alt-color" id="i36">
<td class="col-first"><code>float[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#makeSoloPopProbability()">makeSoloPopProbability</a></span>()</code></th>
<td class="col-last">
<div class="block">Make percentage of people living by themselves by their ages</div>
</td>
</tr>
<tr class="row-color" id="i37">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#printAgeProb()">printAgeProb</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i38">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#printSexProb()">printSexProb</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i39">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#printSoloProb()">printSoloProb</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.iris.IRIS">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.iris.<a href="IRIS.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRIS</a></h3>
<code><a href="IRIS.html#getCodeIRIS()">getCodeIRIS</a>, <a href="IRIS.html#getGeom()">getGeom</a>, <a href="IRIS.html#getNomIRIS()">getNomIRIS</a>, <a href="IRIS.html#printPer(double)">printPer</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(org.opengis.feature.simple.SimpleFeature,org.opengis.feature.simple.SimpleFeature,java.util.List)">
<h3>IRISDemography</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">IRISDemography</span>&#8203;(<span class="parameters">org.opengis.feature.simple.SimpleFeature&nbsp;sfIrisPop,
org.opengis.feature.simple.SimpleFeature&nbsp;sfIrisHH,
java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;individualsWithoutHousehold)</span></div>
<div class="block">Constructor for Household generation purposes</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>sfIrisPop</code> - IRIS with <i>Population</i> data joined.</dd>
<dd><code>sfIrisHH</code> - IRIS with <i>Household</i> data joined. Optional (can be null).</dd>
<dd><code>individualsWithoutHousehold</code> - list of individuals that doesn't have an household and can be generated separately. Optional data.</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="getAllPop()">
<h3>getAllPop</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getAllPop</span>()</div>
<div class="block">Get the sum of the population of the IRIS</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>population sum</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getP0_2()">
<h3>getP0_2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getP0_2</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustP0_2(float)">
<h3>adjustP0_2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustP0_2</span>&#8203;(<span class="parameters">float&nbsp;adjustment)</span></div>
</section>
</li>
<li>
<section class="detail" id="getP3_5()">
<h3>getP3_5</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getP3_5</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustP3_5(float)">
<h3>adjustP3_5</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustP3_5</span>&#8203;(<span class="parameters">float&nbsp;adjustment)</span></div>
</section>
</li>
<li>
<section class="detail" id="getP6_10()">
<h3>getP6_10</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getP6_10</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustP6_10(float)">
<h3>adjustP6_10</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustP6_10</span>&#8203;(<span class="parameters">float&nbsp;adjustment)</span></div>
</section>
</li>
<li>
<section class="detail" id="getP11_17()">
<h3>getP11_17</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getP11_17</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustP11_17(float)">
<h3>adjustP11_17</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustP11_17</span>&#8203;(<span class="parameters">float&nbsp;adjustment)</span></div>
</section>
</li>
<li>
<section class="detail" id="getP18_24()">
<h3>getP18_24</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getP18_24</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustP18_24(float)">
<h3>adjustP18_24</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustP18_24</span>&#8203;(<span class="parameters">float&nbsp;adjustment)</span></div>
</section>
</li>
<li>
<section class="detail" id="getP25_39()">
<h3>getP25_39</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getP25_39</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustP25_39(float)">
<h3>adjustP25_39</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustP25_39</span>&#8203;(<span class="parameters">float&nbsp;adjustment)</span></div>
</section>
</li>
<li>
<section class="detail" id="getP40_54()">
<h3>getP40_54</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getP40_54</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustP40_54(float)">
<h3>adjustP40_54</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustP40_54</span>&#8203;(<span class="parameters">float&nbsp;adjustment)</span></div>
</section>
</li>
<li>
<section class="detail" id="getP55_64()">
<h3>getP55_64</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getP55_64</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustP55_64(float)">
<h3>adjustP55_64</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustP55_64</span>&#8203;(<span class="parameters">float&nbsp;adjustment)</span></div>
</section>
</li>
<li>
<section class="detail" id="getP65_79()">
<h3>getP65_79</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getP65_79</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustP65_79(float)">
<h3>adjustP65_79</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustP65_79</span>&#8203;(<span class="parameters">float&nbsp;adjustment)</span></div>
</section>
</li>
<li>
<section class="detail" id="getP80()">
<h3>getP80</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getP80</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustP80(float)">
<h3>adjustP80</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustP80</span>&#8203;(<span class="parameters">float&nbsp;adjustment)</span></div>
</section>
</li>
<li>
<section class="detail" id="getpM()">
<h3>getpM</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getpM</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustPM(float)">
<h3>adjustPM</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustPM</span>&#8203;(<span class="parameters">float&nbsp;adjustment)</span></div>
</section>
</li>
<li>
<section class="detail" id="getpF()">
<h3>getpF</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getpF</span>()</div>
</section>
</li>
<li>
<section class="detail" id="adjustPF(float)">
<h3>adjustPF</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustPF</span>&#8203;(<span class="parameters">float&nbsp;adjustment)</span></div>
</section>
</li>
<li>
<section class="detail" id="adjustP1524_SEUL(float)">
<h3>adjustP1524_SEUL</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustP1524_SEUL</span>&#8203;(<span class="parameters">float&nbsp;adjustment)</span></div>
</section>
</li>
<li>
<section class="detail" id="adjustP2554_SEUL(float)">
<h3>adjustP2554_SEUL</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustP2554_SEUL</span>&#8203;(<span class="parameters">float&nbsp;adjustment)</span></div>
</section>
</li>
<li>
<section class="detail" id="adjustP5579_SEUL(float)">
<h3>adjustP5579_SEUL</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustP5579_SEUL</span>&#8203;(<span class="parameters">float&nbsp;adjustment)</span></div>
</section>
</li>
<li>
<section class="detail" id="adjustP80P_SEUL(float)">
<h3>adjustP80P_SEUL</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">adjustP80P_SEUL</span>&#8203;(<span class="parameters">float&nbsp;adjustment)</span></div>
</section>
</li>
<li>
<section class="detail" id="getP1524_SEUL()">
<h3>getP1524_SEUL</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getP1524_SEUL</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getP2554_SEUL()">
<h3>getP2554_SEUL</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getP2554_SEUL</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getP5579_SEUL()">
<h3>getP5579_SEUL</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getP5579_SEUL</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getP80P_SEUL()">
<h3>getP80P_SEUL</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getP80P_SEUL</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getSoloPop()">
<h3>getSoloPop</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float</span>&nbsp;<span class="member-name">getSoloPop</span>()</div>
</section>
</li>
<li>
<section class="detail" id="makeSoloPopProbability()">
<h3>makeSoloPopProbability</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float[]</span>&nbsp;<span class="member-name">makeSoloPopProbability</span>()</div>
<div class="block">Make percentage of people living by themselves by their ages</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>percentages in an Array representing those age classes <ul>
 <li><b>indice 0</b>: 15-24 (we assume that 15-17 cannot be living by themselves) </li>
 <li><b>indice 1</b>: 25-54 </li>
 <li><b>indice 2</b>: 55-79 </li>
 <li><b>indice 3</b>: 80 and more </li>
 </ul></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="makeIndivAgeProbability()">
<h3>makeIndivAgeProbability</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float[]</span>&nbsp;<span class="member-name">makeIndivAgeProbability</span>()</div>
<div class="block">Calculate the probability of the age class attribution.
 If the number drops to 0, we reinitiate the initial probability</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>a tab with 10 indices containing INSEE's age classes probabilities</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="printAgeProb()">
<h3>printAgeProb</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">printAgeProb</span>()</div>
</section>
</li>
<li>
<section class="detail" id="makeIndivSexProbability()">
<h3>makeIndivSexProbability</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">float[]</span>&nbsp;<span class="member-name">makeIndivSexProbability</span>()</div>
<div class="block">Return the probability of the individual of being either a male or a female.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>an array with <b>indice 0</b> the probability of being a female and <b>indice 1</b> the probability of being a male</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="printSexProb()">
<h3>printSexProb</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">printSexProb</span>()</div>
</section>
</li>
<li>
<section class="detail" id="printSoloProb()">
<h3>printSoloProb</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">printSoloProb</span>()</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/IRISDemography.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
